- block:

  # The following dependencies are need to install the Robotnik driver
  - name: Install Robotnik driver dependencies
    apt:
      name:
        - "dkms"
      install_recommends: no
      cache_valid_time: "{{ apt_cache_valid_time }}"

  - name: Install Robotnik Driver
    http_deb:
      name: robotnik
      version: "{{ robotnik_version }}"
      url: "{{ robotnik_download_url }}"
      checksum: "sha256:{{ robotnik_sha }}"

  become: yes
